/* Plik z stylami do napisywania styli szablonu */

/* Zmienne */
:root {
    --home__container__height: calc((var(--masonry__vh, 1vh) * 100) - 75px - 76px - 28px);
}

/* Ustawianie domyślnego rozmiaru czcionki */
body {
    font-size: 14px;
}

h1.wbt-title {
    font-size: 50px;
}

@media only screen and (max-width:1024px) {
    h1 {
        font-size: 40px !important;
    }
}

h2 {
    font-size: clamp(1.4rem, 4.5vw, 2.5rem) !important;
}

h1,
h2 {
    font-weight: 600;
}

h1:before,
h1:after,
h2:before,
h2:after {
    content: initial !important;
}

.wbt-page-content {
    text-align: center;
}

.text-red {
    color: red !important;
}

/* Korekta bloku paginacji */
@media only screen and (max-width:768px) {
    .woocommerce-pagination .page-numbers {
        background-color: var(--background-footer-widget) !important;
        width: 100%;
    }

    .wbt-woo-paginate {
        width: 100% !important;
        background-color: var(--background-footer-widget) !important;
    }
}

.woocommerce-pagination .page-numbers {
    align-items: center;
}

.woocommerce-pagination .page-numbers li span {
    padding: 5px !important;
}

#wbt-paginate-woo nav.woocommerce-pagination ul {
    padding: 0 !important;
}

.product_title.entry-title {
    font-weight: 600 !important;
}

/* Ukrywamy napis KATEGORIA na stronie produktu */
.posted_in {
    display: none !important;
}

/* Ukrywamy napis TAGI na stronie produktu */
.tagged_as {
    display: none !important;
}

/* Korekta BREADCRUMBS */
ul.wbt-breadcrumbs {
    margin-bottom: 2.25em !important;
    padding-left: 0 !important;
    font-size: 14px !important;
    text-transform: uppercase;
}

#wbt-woocomerc-main .wbt-breadcrumbs {
    margin-top: initial;
}

/* CENA PRODUKTU - Wyłączamy */
.price {
    display: none !important;
}

/* Korekta RWD tableta */
#wbt-body ul.products:not(.slick-initialized) {
    column-gap: var(--col-gap-list-element);
}

@media only screen and (max-width:1024px) {
    #wbt-body ul.products:not(.slick-initialized) {
        column-gap: var(--col-gap-list-elelment-rwd) !important;
    }
}

/* Korekta stylu kontenera */
@media only screen and (max-width: 1200px) {

    /* było max-width:1200px, więc w przedziale 1024-1200px kontener był dłuższy niż strona i pojawiał się poziomy scrollbar */
    #wbt-content {
        width: 100%;
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* Korekta zagłówku */
@media (max-width: 1023px) {
    header#wbt-top-bar {
        margin-left: initial;
        max-width: 100%;
    }
}

nav#wbt-main-menu {
    max-width: 100%;
    padding: 0 1em;
    position: relative;
}

#menu-main-menu li {
    font-weight: 600 !important;
}

/* Ustawiamy uppercase w menu w headerze (hamburger) na RWD */
#menu-main-menu-rwd {
    text-transform: uppercase;
}

/* Usuwanie separatora przy przyciskach socjalnych w zagłówku */
ul#wbt-nav-addons {
    border-right: initial;
}

/* Ramka przycisków socjalnych */
.wbt-nav-addons-search,
.social-faceb {
    border: 1px solid #000;
    padding: 6px;
}

.wbt-nav-addons-search:hover,
.social-faceb:hover {
    border-color: var(--default-color-link-content-href-hover);
}

.social-faceb {
    background-size: 75% !important;
}

.menu-social-menu-container {
    margin-left: 0;
    margin-right: 1.875rem;
}

#wbt-rwd-main-menu #menu-social-menu {
    margin-top: 1.2em;
    padding-top: 0;
    margin-bottom: 1.2em;
}

/* Menu językowe */

.menu-language-menu-container {
    margin-left: 0.5rem;
}

@media only screen and (max-width:1024px) {
    .menu-language-menu-container {
        display: none;
    }
}

#wbt-rwd-main-menu .menu-language-menu-container {
    display: block;
    width: 112px;
    /* width: 35px; */
    margin: auto;
}

#menu-language-menu {
    display: flex;
    list-style-type: none;
    flex-direction: column;
    padding: 7px;
    border: 1px solid #000;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0.375rem;
    gap: .6rem;
    background-color: #F5F5F5;
    min-width: 35px;
    min-height: 35px;
}

@media only screen and (max-width:1024px) {
    #menu-language-menu {
        position: initial;
        background-color: transparent;
    }
    #wbt-main-menu #menu-language-menu {
        display: none;
    }
}

#menu-language-menu:hover {
    background-color: #f5f5f5;
    border-color: #E30714;
}

@media only screen and (max-width:1024px) {
    #wbt-rwd-main-menu #menu-language-menu {
        flex-direction: row;
        gap: 20px;
        margin-top: 0;
        margin-bottom: 1.4em;
        width: fit-content;
        margin: auto;
    }
    #wbt-rwd-main-menu #menu-language-menu > li > a {
        outline: none;
    }
    #wbt-rwd-main-menu .menu-social-menu-container {
        margin-right: initial;
    }
}

/* Flagi */

#menu-language-menu>li.wbt-pl-flag>a,
#menu-language-menu>li.wbt-en-flag>a,
#menu-language-menu>li.wbt-de-flag>a {
    background-repeat: no-repeat;
    background-size: cover;
    width: 19px;
    height: 19px;
    display: block;
}

#menu-language-menu>li {
    display: none;
}

@media only screen and (max-width:1024px) {
    #menu-language-menu>li {
        display: block;
    }
}


#menu-language-menu>li.wbt-pl-flag>a {
    background-image: url('https://tkaniny-konekt.pl/wp-content/themes/webtec-business-v3.2/assets/img/flags/pl.svg');
}

#menu-language-menu>li.wbt-en-flag>a {
    background-image: url('https://tkaniny-konekt.pl/wp-content/themes/webtec-business-v3.2/assets/img/flags/gb.svg');
}


#menu-language-menu>li.wbt-de-flag>a {
    background-image: url('https://tkaniny-konekt.pl/wp-content/themes/webtec-business-v3.2/assets/img/flags/de.svg');
}

#menu-language-menu:hover>li {
    display: block;
}

#menu-language-menu>li.active {
    display: block;
    order: -1;
}

@media only screen and (max-width:1024px) {

    #menu-language-menu>li.wbt-en-flag>a {
        /* Dodać tu #menu-language-menu:hover>li:last-child>a jak wjedzie DE */
        display: block;
        position: initial;
    }
}

/* Czerwone linie w zagłówku - animacja */
.menu-main-menu-container #menu-main-menu li a::before {
    content: '';
    width: 0;
    position: absolute;
    top: -19px;
    left: 0;
    display: inline-block;
    height: 4px;
    background-color: var(--default-color-link-content-href-hover);
    transition: 0.5s;
}

.menu-main-menu-container #menu-main-menu li a::after {
    top: calc(100% + 15px);
    background-color: var(--default-color-link-content-href-hover);
}

.menu-main-menu-container #menu-main-menu li a:hover::after,
#menu-main-menu li a:hover::before {
    height: 4px;
    width: 1em;
    margin-left: calc(50% - .5em);
    content: '';
}

/* Czerwone linie nad & pod AKTYWNYM linku w zagłówku */
.menu-main-menu-container #menu-main-menu li.current-menu-item a::after {
    width: 1em;
    margin-left: calc(50% - .5em);
    height: 4px;
    top: calc(100% + 15px);
    background-color: var(--default-color-link-content-href-hover);
}

.menu-main-menu-container #menu-main-menu li.current-menu-item a::before {
    width: 1em;
    margin-left: calc(50% - .5em);
}

.menu-main-menu-container #menu-main-menu li.current-menu-item a:hover::after,
.menu-main-menu-container #menu-main-menu li.current-menu-item a:hover::before {
    margin-left: calc(50% - .5em) !important;
}

/* Usuwamy animację pod dropdown-em kategorii Woo w zagłówku */
.wbt-woo-cat-top-menu li a::after {
    visibility: hidden !important;
}

.wbt-woo-cat-top-menu li a:hover::before {
    margin-left: initial !important;
}

/* Centrujemy linki w nagłówku */
ul#menu-main-menu {
    padding: 0;
}

ul#wbt-nav-addons,
ul#menu-social-menu {
    margin-top: 20px;
    margin-bottom: 20px;
}

.menu-social-menu-container,
ul#wbt-nav-addons {
    padding-top: 0px;
}

#wbt-logo a>img {
    width: 100%;
    max-height: 70px;
}

/* Korekta stopki */
.wbt-col-footer {
    padding: 1% !important;
    /* Domyślnie 2% */
    white-space: nowrap;
}

@media (max-width:1024px) {
    .wbt-col-footer:first-child {
        display: none;
    }

    .wbt-col-footer {
        padding: 0 1em !important;
        /* Domyślnie brak odstępów */
    }
}

#wbt-footer-widget {
    row-gap: unset !important;
    /* Usuwamy gap na RWD */
    align-items: center;
    color: #7f7f7f;
    margin-top: initial !important;
    width: 100% !important;
    max-width: 1200px;
}

#wbt-signature {
    width: min(1200px, 100%);
    /* Korekta szerokości bloku */
    padding: 0 2em;
    font-size: .8rem;
    color: #666;
}

/* Rozszerzamy container na pełną szerokość ekranu na stronie home */
.home #wbt-content {
    width: min(1200px, 100%);
    padding: initial;
    margin: 0 auto;
}

/* Wyłączamy sidebar */
.home #wbt-sidebar {
    display: none;
}

#wbt-body {
    padding: 0;
}

/* Style intro page */

/* Intro slider */

.intro_slider {
    height: var(--home__container__height);
    position: relative;
}

@media only screen and (max-width:1024px) {
    .intro_slider {
        height: initial;
    }
}

.slick-slide {
    position: relative;
    height: var(--home__container__height);
}

@media only screen and (max-width:1400px) and (min-width:1024px) {
    .slide__single__img :where(figure, figure img) {
        max-width: 27.5%;
    }

}

@media only screen and (max-width:1024px) {
    .slick-slide {
        position: initial;
        height: initial;
    }

    .slide__center {
        transform: translateY(25%);
    }
}



@media only screen and (min-width:1025px) {
    .slide__center {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        display: block;
    }
}

.slick-list {
    width: 100%;
}

/* Masonry */

.masonry {
    width: min(100vh, 1200px) !important;
    display: grid !important;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* height: var(--home__container__height); */
}

@media only screen and (max-width:1440px) {
    .masonry {
        transform: translate(-50%, -50%);
    }
}

@media only screen and (max-width:1366px) {
    .masonry {
        transform: translate(-50%, -50%) scale(0.9);
    }
}

@media only screen and (max-width:1280px) {
    .masonry {
        transform: translate(-50%, -50%) scale(0.85);
    }
}

@media only screen and (max-width:1024px) {
    .masonry {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 5px;
        padding: 5px 0;
        margin-top: 5px;
        width: 100% !important;
        position: initial;
        transform: initial;
    }
}

@media only screen and (max-width:425px) {
    .masonry {
        margin-top: 2em;
        height: var(--home__container__height);
    }
}

@media only screen and (max-width:380px) {
    .masonry {
        margin-top: 1em;
        height: initial;
    }
}


.masonry>.wp-block-column {
    width: 100%;
    aspect-ratio: 1/1;
    margin: auto;
}

@media only screen and (max-width:425px) {
    .masonry>.wp-block-column {
        height: 100%;
    }
}

/* Kafelek z tekstem */

@media (max-width:1440px) {
    .masonry>div:nth-child(5)>p:nth-child(2) {
        font-size: 30px !important;
        margin-top: 0px !important;
    }

    .masonry>div:nth-child(5)>p:last-child {
        font-size: 20px !important;
    }
}

@media (max-width:1366px) {
    .masonry>div:nth-child(5)>figure {
        width: 50% !important;
    }

    .masonry>div:nth-child(5)>p:nth-child(2) {
        font-size: 24px !important;
        margin-top: 0px !important;
    }

    .masonry>div:nth-child(5)>p:last-child {
        font-size: 18px !important;
    }
}

@media (max-width:1280px) {
    .masonry>div:nth-child(5)>p:nth-child(2) {
        font-size: 23px !important;
    }

    .masonry>div:nth-child(5)>p:last-child {
        font-size: 17px !important;
    }
}

@media (min-width:425px) and (max-width:912px) {
    .masonry>div:nth-child(5)>p:nth-child(2) {
        font-size: 36px !important;
    }

    .masonry>div:nth-child(5)>p:last-child {
        font-size: 24px !important;
    }
}

@media (max-width:1024px) {
    .masonry>div:nth-child(5)>figure {
        width: 60% !important;
    }
}

@media (max-width:540px) {
    .masonry>div:nth-child(5)>figure {
        width: 70% !important;
        margin-bottom: 10px;
    }

    .masonry>div:nth-child(5)>p:nth-child(2),
    .grid-second>div:nth-child(2)>p:first-child,
    .grid-third>div:first-child>p:first-child {
        font-size: 18px !important;
    }

    .masonry>div:nth-child(5)>p:last-child,
    .grid-second>div:nth-child(2)>p:last-child,
    .grid-third>div:first-child>p:last-child {
        font-size: 14px !important;
    }
}

.masonry>div>figure>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.masonry>div>figure {
    width: 100%;
    height: 100%;
    margin: auto;
}

.masonry>div:nth-child(5)>figure {
    width: 50% !important;
    height: auto !important;
    margin-top: 10px;
    margin-bottom: 10px;
}

.masonry>div:nth-child(5)>p:nth-child(2) {
    font-size: 4vh;
    /*44px 4vh*/
    text-align: center;
    font-weight: 800;
    margin-top: 10px;
    margin-bottom: 0px;
}

.masonry>div:nth-child(5)>p:last-child {
    font-size: 3vh;
    /*32px 3vh*/
    text-align: center;
    margin-top: 7px;
    margin-bottom: 0px;
    font-weight: 500;
}

.masonry>div:nth-child(3) {
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 2;
}

.masonry>div:nth-child(2) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2;

}

.masonry>div:nth-child(6) {
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 2;
    grid-row-end: 3;
}

/* Blok z napisem KONEKT TKANINY */
.masonry>div:nth-child(5) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 5%;
}

.masonry>div:nth-child(4) {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
}

.masonry>div:first-child {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
}

/* Masonry RWD */
/* Tablet */
@media (max-width:1024px) {
    .masonry>div:nth-child(3) {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 2;
        grid-row-end: 3;
        margin: auto;

    }

    .masonry>div:nth-child(4) {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 3;
        grid-row-end: 4;

    }

    .masonry>div:nth-child(6) {
        grid-column-start: 2;
        grid-column-end: 3;
        grid-row-start: 3;
        grid-row-end: 4;
    }

    .masonry>div:nth-child(2) {
        grid-column-start: 2;
        grid-column-end: 3;
        grid-row-start: 1;
        grid-row-end: 2;
    }

    .masonry>div:nth-child(5) {
        grid-column-start: 2;
        grid-column-end: 3;
        grid-row-start: 2;
        grid-row-end: 3;
        margin: auto;
    }

    .masonry>div:first-child {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 2;
    }
}

/* Ukrycie konkretnego slidu z banera */
.display__none {
    display: none !important;
}

/* Grid #2 dla drugiego slajda */
.grid-second {
    width: 100%;
    display: grid !important;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 50%);
    gap: 1.5em;
    padding-top: 2em;
    margin-bottom: 0;
    height: var(--home__container__height);
}

.grid-second>div>figure>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.grid-second>div>figure {
    width: 100%;
    height: 100%;
}

.grid-second>div:first-child {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 3;
}

.grid-second>div:nth-child(2) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.grid-second>div:nth-child(2)>p:first-child {
    font-size: 50px;
    text-align: center;
    font-weight: 800;
    margin-top: 10px;
    margin-bottom: 0px;
}

.grid-second>div:nth-child(2)>p:last-child {
    font-size: 38px;
    text-align: center;
    margin-top: 7px;
    margin-bottom: 0px;
    font-weight: 500;
}

@media only screen and (max-width:1366px) {
    .grid-second>div:nth-child(2)>p:first-child {
        font-size: 34px;
    }

    .grid-second>div:nth-child(2)>p:last-child {
        font-size: 14px;
    }
}

.grid-second>div:nth-child(3) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
}

@media (max-width:1024px) {
    .grid-second>div:first-child {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 2;
    }

    .grid-second>div:nth-child(3) {
        grid-column-start: 1;
        grid-column-end: 3;
        grid-row-start: 2;
        grid-row-end: 3;
    }

    .grid-second,
    .grid-third {
        padding-top: 5px !important;
        gap: 5px !important;
    }
}

@media (max-width:425px) {

    .grid-second,
    .grid-third {
        padding-top: 2em !important;
    }
}

@media (max-width:380px) {

    .grid-second,
    .grid-third {
        padding-top: 1em !important;
    }
}

@media (max-width:380px) {

    .grid-second,
    .grid-third {
        height: calc(100vh - 74px) !important;
    }
}

@media (max-width:365px) {

    .grid-second,
    .grid-third {
        height: calc((var(--masonry__vh, 1vh) * 100) - 75px - 108px - 15px) !important;
        margin-top: 1em;
    }
}


/* Grid #3 dla trzeciego slajda */
.grid-third {
    width: 100%;
    display: grid !important;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 50%);
    gap: 2em;
    padding-top: 1.5em;
    margin-bottom: 0;
    height: var(--home__container__height);
}

.grid-third>div>figure>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.grid-third>div>figure {
    width: 100%;
    height: 100%;
}

.grid-third>div:first-child {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
}

.grid-third>div:first-child>p:first-child {
    font-size: 50px;
    text-align: center;
    font-weight: 800;
    margin-top: 10px;
    margin-bottom: 0px;
}

.grid-third>div:first-child>p:last-child {
    font-size: 38px;
    text-align: center;
    margin-top: 7px;
    margin-bottom: 0px;
    font-weight: 500;
}

@media only screen and (max-width:1366px) {
    .grid-third>div:first-child>p:first-child {
        font-size: 34px;
    }

    .grid-third>div:first-child>p:last-child {
        font-size: 14px;
    }
}

.grid-second>div:nth-child(3) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
}

.grid-third>div:nth-child(2) {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
}

.grid-third>div:nth-child(3) {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 3;
}

/* Intro Slider */
.slick-list {
    max-width: 100%;
    margin-left: 0 !important;
    position: relative;
}

/* Style dla kafelków na stronie z produktami */
@media only screen and (max-width:1023px) {
    ul.products {
        margin-bottom: 16px !important;
    }
}

.products>.product:hover {
    border: none !important;
    outline: none !important;
}

.products>.product>a {
    position: relative;
    overflow: hidden;
    outline: initial !important;
}

.products>.product>a>img {
    width: 100% !important;
    margin: 0% !important;
    max-height: 260px !important;
}

.products>.product>a>.woocommerce-loop-product__title {
    display: none !important;
}

.featured,
.new,
.onsale {
    transition: .3s ease;
}

.product:hover>a>.featured {
    opacity: 0;
}

.product:hover>a>.new {
    opacity: 0;
}

.products>.product .product_weight {
    font-weight: 400 !important;
    white-space: nowrap;
}

.product-over>.woocommerce-loop-product__title {
    padding: 0 !important;
    font-size: 18px !important;
    font-weight: 700 !important;
}

.product-over {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: #fff;
    padding: 10px;
    transform: translateY(213px);
    transition: 0.3s ease;
    overflow: auto;
    height: 327px;
}

.product-over>span:nth-child(3) {
    display: inline-block;
    margin-bottom: 7px !important;
}

.product_info {
    display: none !important;
}

/* Style rozwijania opisu */
@media only screen and (min-width:1024px) {

    .products .product:hover .product-over,
    .product-over-rwd {
        transform: translateY(7px);
        opacity: 0.9;
    }
}

@media only screen and (max-width:1024px) {
    .product_info {
        /* Obrazek INFO, tylko RWD */
        width: 2em !important;
        height: 2em !important;
        margin: 0 !important;
        float: right;
        display: block !important;
    }
}

.product-over.product-over-rwd {
    transform: translateY(7px);
    opacity: 0.9;
}

/* Style pola z dodatkową informacją pod tytułem produktu */
.woocommerce-loop-product__link {
    padding: 0 !important;
}

.post_proporcje {
    font-size: 12px !important;
    font-weight: 500 !important;
    padding: 5px !important;
    background-color: #ffffff !important;
    width: 100% !important;
    text-align: left !important;
    height: 60px !important;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    z-index: 1;
    gap: 5px;
}

.post_proporcje span {
    min-width: initial !important;
}

.post_proporcje img {
    width: 15px !important;
    display: initial !important;
    margin-bottom: -2px !important;
    margin-right: 5px !important;
    margin-left: 1px !important;
}

.post_proporcje img.post_proporcje_szerokosc {
    margin-bottom: -1px !important;
}

.post_szerokosc,
.post_twill {
    white-space: nowrap;
}

/* Style dla przycisku kafelku */
#wbt-body ul.products li>a.button {
    justify-content: flex-start !important;
    padding-left: 1em !important;
    font-weight: 600;
}

a.button.product_type_simple:hover {
    color: #e30613 !important;
    border-top: 1px solid #e30613 !important;
    border-bottom: 1px solid #e30613 !important;
}

a.button.product_type_simple:hover::before {
    background-image: url("https://tkaniny-konekt.pl/wp-content/uploads/2023/09/ico-see-more.svg") !important;
}

/* Usuwamy przełącznik widoku dla produktów */
.wbt-woo-grid-list-toggle {
    display: none !important;
}

/* Style szarych kafelków nad produktami */
#wbt-nav-woo {
    gap: 10px !important;
}

#wbt-nav-woo select {
    padding: 13px !important;
}

@media only screen and (min-width:1024px) {
    #wbt-nav-woo {
        font-size: 16px !important;
    }

    #wbt-nav-woo>li {
        width: calc((100% - (var(--col-gap-list-element) * 2))/ 3 - (2 * (var(--col-gap-list-element-padding)))) !important;
        /* Taka sama szerokośc, jak w WP */
    }
}

@media only screen and (max-width: 1023px) {
    #wbt-nav-woo {
        justify-content: space-around !important;
    }

    #wbt-nav-woo>li.wbt-number-of-display {
        background-color: var(--background-footer-widget) !important;
    }

    /* Reszta RWD */
    h1.page-title {
        margin-bottom: 20px !important;
    }
}

/* Korekty Product Page */
/* Dodajemy alternatywny tekst pod zdjęciami pod głównym zdjęciem */
.woocommerce-product-gallery__image.flex-active-slide {
    max-height: 566.39px !important;
}

.flex-control-nav li:after {
    display: block;
    width: 100%;
}

#wbt-woocomerc-main {
    margin-top: 25px !important;
    padding: 0 10px !important;
}

#wbt-body .woocommerce-product-gallery>div {
    outline: none !important;
}

span.main__img--caps {
    display: inline-block;
    background-color: black;
    color: #fff;
    position: relative;
    padding: 7px;
    transform: translateY(-34px);
}

/* Alternatywny tekst pod zdjęciami */
.flex-control-nav li {
    max-height: 100px;
}

/* Ukrywamy tekst alternatywny pod pierwszym zdjęciem  */
#altEl1 {
    display: none;
}

@media only screen and (max-width:425px) {
    .flex-control-nav li {
        max-height: 55px;
    }
}

@media only screen and (max-width:1024px) {
    .flex-control-nav li {
        max-height: 76px;
    }
}

@media only screen and (max-width:850px) {
    .flex-control-nav li {
        max-height: 63px;
    }
}

@media only screen and (max-width:767px) {
    .flex-control-nav li {
        max-height: 133px;
    }
}

@media only screen and (max-width:529px) {
    .flex-control-nav li {
        max-height: 85px;
    }
}

@media only screen and (max-width:450px) {
    .flex-control-nav li {
        max-height: 70px;
    }
}

@media only screen and (max-width:380px) {
    .flex-control-nav li {
        max-height: 56px;
    }
}

@media only screen and (max-width:326px) {
    .flex-control-nav li {
        max-height: 42px;
    }
}

@media only screen and (max-width:300px) {
    .flex-control-nav li {
        max-height: 36px;
    }
}

#wbt-body .product_meta>span {
    font-weight: initial;
}

/* Ukrywamy sekcję z dodatkową informacją, bo pokazuje tylko nieprawidłową wagę produktu */
#tab-title-additional_information {
    display: none !important;
}

#wbt-body .woocommerce-tabs ul.tabs li.active {
    outline: none !important;
    border: 1px solid #000 !important;
    border-bottom: none !important;
    background-color: #000;
    color: #fff;
    margin-top: 20px;
}

#wbt-body .woocommerce-tabs ul.tabs li.active a:hover {
    color: #fff !important;
}

.woocommerce-Tabs-panel {
    border: 1px solid black;
    margin-top: 0 !important;
    padding: 0rem 1.5rem !important;
    padding-bottom: 1.5rem !important;
}

.flex-direction-nav {
    top: 1% !important;
}

/* Strona GALERIA */
.page-id-723 #wbt-text-content img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.page-id-723 h2 {
    margin-bottom: 50px;
}

/* Strona KONTAKT */
.contact__cols h2 {
    color: #a2000a;
    margin-bottom: 30px;
    margin-top: initial;
}

.contact__cols h3.o-nas-last-title.page {
    font-weight: 300;
}

.contact__cols .wp-block-columns {
    margin-bottom: 1em !important;
}

.contact__cols h4.wp-block-heading.has-text-align-left::after {
    content: "";
    width: 67px;
    height: 1px;
    background-color: #000;
    display: block;
    margin-bottom: 1em;
    margin-top: 0.5em;
}

.contact__cols .is-vertical {
    margin-bottom: 2em !important;
}

.contact__dane__firmy {
    padding: 2em;
}

.contact__maps {
    margin-bottom: -4px !important;
}

/* Usuwamy GAP na RWD */
@media only screen and (max-width:768px) {
    .contact__cols {
        gap: initial !important;
    }

    /* Korekta pozycji nagłówku formy */
    .form-element-field5 {
        margin-top: 30px !important;
    }

    .contact__cols__marketing {
        margin-bottom: initial !important;
    }

    .contact__cols__accountant__heading {
        margin-top: -10px !important;
        display: block !important;
    }
}

/* Formcraft */

.contact__form__heading {
    font-weight: bold;
    text-align: left;
    margin-bottom: 1em;
    font-size: 1.75em;
}

.form-cover .error {
    margin-bottom: -5px !important;
}

.formcraft-css input {
    border: 0 !important;
    border-bottom: 1px solid #333 !important;
    padding: 1.2rem !important;
}

.formcraft-css .field-cover span:nth-child(2) {
    color: red !important;
}

.formcraft-css .field-cover {
    white-space: nowrap;
}

/* Formcraft - przycisk Zamknij popup */
button.fc_close {
    position: absolute !important;
    top: 5px !important;
    right: 5px !important;
    padding: 0 !important;
    border: none !important;
    font-size: 160% !important;
    z-index: 9000 !important;
    color: #666 !important;
    cursor: pointer !important;
    font-weight: 700 !important;
    background: 0 0 !important;
    width: 30px !important;
    height: 30px !important;
    line-height: 30px !important;
    outline: 0 !important;
    box-shadow: none !important;
    margin: 0 !important;
}

/* Formcraft - przycisk wyślij */
.form-page-content button.submit-button {
    background-color: #e30613 !important;
    border: initial !important;
    padding: 0.75em 1em !important;
}

.order__sample {
    width: 100%;
}

.fc-form-4 .form-cover {
    margin-top: 20px !important;
}

.powered-by {
    display: none !important;
}

.customText-cover {
    padding-top: 5px !important;
}

/* Formcraft - przycisk Zamknij popup */
button.fc_close {
    position: absolute !important;
    top: 5px !important;
    right: 5px !important;
    padding: 0 !important;
    border: none !important;
    font-size: 160% !important;
    z-index: 9000 !important;
    color: #666 !important;
    cursor: pointer !important;
    font-weight: 700 !important;
    background: 0 0 !important;
    width: 30px !important;
    height: 30px !important;
    line-height: 30px !important;
    outline: 0 !important;
    box-shadow: none !important;
    margin: 0 !important;
}

/* Formcraft - przycisk wyślij */
.form-page-content button.submit-button {
    background-color: #e30613 !important;
    border: initial !important;
    padding: 0.75em 1em !important;
}

.order__sample {
    width: 100%;
}

.fc-form-4 .form-cover {
    margin-top: 20px !important;
}

/* Opis kategorii i przycisk CZYTAJ WIĘCEJ */
.term-description {
    border-top: none !important;
    max-height: 77px !important;
    font-size: 16px !important;
}

.term-description.wbt-active {
    max-height: fit-content !important;
}

#wbt-read-more-category {
    border-top: 1px dashed silver;
    margin: 16px 0 !important;
    padding-top: 10px !important;
    font-weight: 400 !important;
    font-size: 1.1rem !important;
    text-transform: uppercase !important;
    font-size: 14px !important;
}

#wbt-read-more-category:after {
    content: '' !important;
    background-image: url('https://tkaniny-konekt.pl/wp-content/uploads/2023/09/ico-arrow-bottom.svg') !important;
    background-repeat: no-repeat;
    transform: translateY(6px) !important;
    width: 14px !important;
    height: 14px !important;
}

#wbt-read-more-category.wbt-active:after {
    transform: rotate(180deg) !important;
}

/* Produkty polecone */
#wbt-featured-products {
    padding: 0 10px !important;
}

/* Obrazek certyfikatu pod opisem */
.product__certificates__flex {
    display: flex;
    gap: 1em;
    flex-wrap: wrap;
    align-items: flex-end;
}

.product__certificates img {
    max-width: 170px;
}

/* Normy, Wskazówki do prania - wrapper */
.product_meta {
    font-size: 14px !important;
}

.props__row,
.tech__row {
    display: flex;
    gap: 25px;
    width: 100%;
}

.tech__row {
    gap: 16px;
    flex-wrap: wrap;
    justify-content: space-between;
}

.props__divider::after,
.product__certificates::after {
    content: "" !important;
    width: 67px !important;
    height: 1px !important;
    background-color: #000 !important;
    display: block !important;
    margin-bottom: 1em !important;
    margin-top: 0.5em !important;
    width: 100%;
}

/* Normy */
.product__standards__flex {
    display: flex;
    gap: 0.4em;
    flex-direction: column;
}

/* Style obrazków wskazówek prania */
.product__laundry img {
    width: min(20%, 38px);
}

.product__laundry,
.product__standards,
.product__laundries {
    width: min(275px, 100%);
}

.product_meta:has(.product__t__card) :is(.product__t__card) {
    width: min(275px, 100%);
}

@media only screen and (max-width:820px) {
    .product_meta:has(.product__t__card) :is(.product__t__card) {
        width: 100%;
    }
}

.t__card__icon {
    max-height: 40px;
    filter: saturate(0) brightness(.5);
    transition: ease .3s;
}

.product__t__card__flex {
    display: flex;
    gap: .65rem;
    align-items: center;
}

.t__card__link p {
    color: #000;
    font-weight: 500;
    transition: ease .3s;
    font-size: 1rem;
}

.t__card__link:hover .t__card__icon,
.t__card__link:hover p {
    filter: initial;
    color: #e30613;
}

.product__laundry:nth-child(2) {
    margin-top: 1em;
}

@media only screen and (max-width:820px) {

    .product__laundry,
    .product__standards {
        width: 100%;
    }

    .props__row,
    .tech__row {
        flex-wrap: wrap;
    }
}

.product__laundry strong,
.product__standards strong {
    margin-bottom: 8px;
    /* display: block; */
    display: inline-block;
}

.product__laundry__flex {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 8px;
}

#wbt-body .product_meta {
    flex-direction: column;
    align-items: initial;
}

.post__wlasciwosci {
    width: 100%;
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
    margin-left: -10px;
}

.product__props__flex img {
    max-width: 18px;
    /* margin: 0 10px; */
}

.post_grammage img {
    max-width: 22px;
    margin-left: 0 !important;
    margin-right: 4px !important;
}

.summary.entry-summary {
    margin-bottom: 0 !important;
}

.wc-tabs-wrapper {
    margin-top: 30px;
}

/* Teksty alternatywne nad zdjęciami pod głównym zdjęciem na product page */
.flex-control-nav li span:nth-child(2) {
    color: #fff;
    background-color: rgba(0, 0, 0, .5);
    width: 98%;
    margin: 0 1%;
    display: inline-block;
    text-align: center;
    transform: translateY(-25px);
    white-space: nowrap;
    font-size: 13px;
    font-family: "Open Sans", sans-serif;
    padding: 3px 5px;
    overflow: hidden;
    transition: ease .2s;
}

.flex-control-nav li span:nth-child(2):hover {
    opacity: 0;
    transition: ease .2s;
}

/* Tooltip nad tekstem alternatywnym */

.flex-control-nav.flex-control-thumbs {
    overflow: initial !important;
}

.flex-control-nav li {
    position: relative;
}

.flex-control-nav li span:last-child {
    width: 98%;
    /*120px*/
    background-color: rgba(0, 0, 0, 0.75);
    color: #fff;
    text-align: center;
    font-size: 13px;
    font-family: "Open Sans", sans-serif;
    padding: 3px 5px;
    /*   border-radius: 6px;  */
    position: absolute;
    z-index: 1;
    top: 96.5%;
    left: 1%;
    /* 50% */
    transition: ease .2s;
    opacity: 0;
}

.flex-control-nav>li>span.gallery__alt__tooltip__visible {
    opacity: 1 !important;
    transition: ease .2s;
}

@media only screen and (max-width:1024px) {
    .flex-control-nav li span {
        font-size: 8px;
        transform: translateY(-19px);
    }
}

@media only screen and (max-width:425px) {
    .flex-control-nav li span {
        font-size: 7px;
        transform: translateY(-19px);
    }
}

@media only screen and (max-width:820px) {
    .flex-control-nav li span {
        display: none;
    }
}

/* Product page - proporcje produktu */

/* kontener */
.product__props__flex{
  display:flex;
  flex-wrap:wrap;
  align-items:center;
  column-gap: 1.5rem;
  row-gap: 0.75rem;
  /* (opcjonalnie, przy wielu rzędach) */
  align-content:flex-start;
}

/* pojedynczy kafelek: ikona + tekst */
.product__props__flex > span{
  display:inline-flex;        /* traktuj jako jeden „chip” */
  align-items:center;
  gap:6px;
  flex:0 0 auto;              /* nie rośnie i nie kurczy się poziomo */
  width:fit-content;          /* albo: width:max-content; */
  max-width:100%;
}

/* sam tekst w środku – nie łam go */
.product__props__flex > span > span{
  white-space:nowrap;
}

/* ikona – stały wymiar + brak baseline gapu */
.product__props__flex > span > img{
  display:block;
  width:18px;                 /* dostosuj do swoich potrzeb */
  height:18px;
  flex:0 0 18px;
}

/* Kreska (divider) po nagłówkiem */
.product_title.entry-title::after,
.about-heading:after,
.about-team-heading:after {
    content: "" !important;
    width: 67px !important;
    height: 1px !important;
    background-color: #000 !important;
    display: block !important;
    margin-bottom: 20px !important;
    margin-top: 0.5em !important;
}

/* Product page - popup */
.fc-form-4 .absolute-.customText-cover.field-cover {
    top: 2rem;
}

.fc-form-4 .form-page-content {
    padding: 1.5rem !important;
}

/* Product page - krótki opis */
.woocommerce-product-details__short-description {
    background-color: #f5f5f5;
    padding: 0.1rem 1.1rem;
}

/* Product page - przycisk */
.order__sample__btn {
    padding: 15px 0;
    display: flex;
    font-size: 1.14rem;
    font-weight: bold;
    text-transform: lowercase;
    justify-content: flex-start;
    align-items: center;
    border-top: 2px solid #000;
    border-bottom: 2px solid #000;
    color: #000;
    transition: .3s;
    width: 100%;
    margin-top: 15px;
}

.order__sample__btn::before {
    content: '';
    display: inline-block;
    margin-right: 35px;
    margin-left: 10px;
    width: 30px;
    height: 30px;
    background: url("/wp-content/themes/webtec-business-v3.2/assets/img/probka.svg") center no-repeat;
    transition: .3s;
}

.order__sample__btn:hover {
    border-top: 2px solid #e30613;
    border-bottom: 2px solid #e30613;
}

.order__sample__btn:hover::before {
    margin-right: 10px;
    background: url("/wp-content/themes/webtec-business-v3.2/assets/img/probka-red.svg") center no-repeat;
}

/* Product page - drobne korekty */
#wbt-body .woocommerce-tabs .panel {
    margin-bottom: 50px !important;
}

.related.products h2 {
    margin-top: 50px !important;
    margin-bottom: 30px !important;
}

.related.products {
    margin-bottom: 45px;
}

/* O NAS */

/* Ustawiamy kontener na full-width */
.page-id-707 #wbt-content {
    width: 100% !important;
}

.about-container,
.page-id-707 #wbt-text-content>header {
    width: min(1200px, 100%) !important;
    margin: auto;
}

/* Intro */

.about-intro-cols {
    margin-bottom: 3em;
}

.about-intro-col-1 {
    font-size: 16px;
    text-align: left !important;
    font-weight: 300;
}

.about-intro-col-1 p {
    line-height: 25px;
}

.about-intro-col-1 p:last-child {
    margin-bottom: 0 !important;
}

.about-intro-heading {
    font-weight: 400;
    color: var(--default-color-link-content-href);
    font-size: 16px;
    text-align: left !important;
    font-family: 'Myriad Pro', sans-serif;
    text-transform: uppercase;
    margin-bottom: 1em;
}

.about-heading {
    font-weight: 400;
    font-size: 34px !important;
    font-family: 'Myriad Pro', sans-serif;
    margin-top: initial !important;
    margin-bottom: 25px !important;
}

.about-intro-col-2 {
    position: relative;
}

@media only screen and (max-width:1024px) {
    .about-intro-col-2 figure {
        width: 90%;
    }
}

.about-intro-col-2 figure {
    width: calc(100% - 75px);
    float: right;
}

/* Czerwony kwadrat */
.about-intro-col-2:after {
    content: "";
    position: absolute;
    left: 0;
    /* 	bottom:0; */
    top: 410px;
    width: 150px;
    height: 150px;
    background-color: #a2000a;
}

@media only screen and (max-width:1125px) {
    .about-intro-col-2:after {
        top: 354px;
    }
}

@media only screen and (max-width:986px) {
    .about-intro-col-2:after {
        top: 305px;
    }
}

@media only screen and (max-width:873px) {
    .about-intro-col-2:after {
        top: 252px;
        height: 115px;
        width: 115px;
    }
}

@media only screen and (max-width:781px) {
    .about-intro-col-2:after {
        top: 465px;
        left: 44px;
        width: 150px;
        height: 150px;
    }
}

@media only screen and (max-width:768px) {
    .about-intro-col-2:after {
        top: 490px;
        left: 44px;
        width: 150px;
        height: 150px;
    }
}

@media only screen and (max-width:687px) {
    .about-intro-col-2:after {
        left: 0;
        top: initial;
        bottom: 0;
        height: 115px;
        width: 115px;
    }
}

@media only screen and (max-width:400px) {
    .about-intro-col-2:after {
        height: 90px;
        width: 90px;
    }
}

/* Featured */

.about-featured {
    background: var(--background-footer-widget);
    padding-top: 5em;
    padding-bottom: 2.25em;
    text-align: left;
}

.about-featured-cols h4 {
    font-size: 20px;
    font-weight: 500;
}

.about-featured-cols p {
    line-height: 22px;
}

.about-featured-cols .wp-block-column {
    display: flex;
    flex-direction: column;
    gap: 2em;
}

.about-featured-element {
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: nowrap !important;
}

.about-featured-icon,
.about-featured-icon figure {
    width: 50px;
    height: 50px;
    background-color: #fff;
}

.about-featured-icon img {
    margin-left: -20px;
    margin-top: -20px;
}

@media only screen and (max-width:1024px) {
    .about-featured-element {
        width: 90% !important;
        margin: auto;
        margin-left: 25px;
    }

    .about-featured-icon img {
        margin-left: -15px;
        margin-top: -15px;
    }
}

.about-featured-content {
    margin-top: -20px !important;
    margin-bottom: 20px !important;
}

/* ZESPÓŁ */

.about-team-cols {
    margin-top: 5em;
    margin-bottom: 3em;
    gap: 5em;
}

.about-team-images {
    justify-content: flex-start;
    gap: 0;
    position: relative;
}

/* Czerwony kwadrat team */
.about-team-images:after {
    content: "";
    position: absolute;
    right: 0;
    /* 80px */
    bottom: 0;
    width: 150px;
    /* 150px */
    height: 150px;
    background-color: #a2000a;
}

@media only screen and (max-width:1366px) {
    .about-team-images:after {
        width: 130px;
        /* 150px */
        height: 130px;
    }
}

@media only screen and (max-width:900px) {
    .about-team-images:after {
        width: 100px;
        height: 100px;
    }
}

@media only screen and (max-width:781px) {
    .about-team-images:after {
        right: 3vw;
        width: 100px;
        height: 100px;
    }
}

@media only screen and (max-width:600px) {
    .about-team-images:after {
        width: 150px;
        height: 150px;
    }
}

@media only screen and (max-width:500px) {
    .about-team-images:after {
        width: 100px;
        height: 100px;
    }
}

@media only screen and (max-width:350px) {
    .about-team-images:after {
        right: 0;
        width: 80px;
        height: 80px;
    }
}

.about-team-image-1 {
    width: 66.6%;
    flex-basis: initial !important;
    flex-grow: initial !important;
}

.about-team-image-1 figure {
    margin-bottom: 0 !important;
}

.about-team-image-1 img {
    height: 510px;
    /* 510px 25vw */
    object-fit: cover;
}

@media only screen and (max-width:900px) {
    .about-team-image-1 img {
        height: 470px;
    }
}

@media only screen and (max-width:500px) {
    .about-team-image-1 img {
        height: 400px;
    }
}

@media only screen and (max-width:400px) {
    .about-team-image-1 img {
        height: 350px;
    }
}


.about-team-image-2 img {
    height: 300px;
    /* 300px 15vw */
    object-fit: cover;
    margin-top: 2em;
}

@media only screen and (max-width:781px) {
    .about-team-cols {
        margin-top: 3em;
        gap: 2em;
    }

    .wp-block-column.about-team-image-1.is-layout-flow.wp-block-column-is-layout-flow {
        flex-basis: initial !important;
        width: 60vw;
    }

    .wp-block-column.about-team-image-2.is-layout-flow.wp-block-column-is-layout-flow {
        flex-basis: initial !important;
        width: 25vw;
    }

    .about-team-image-2 img {
        height: 350px;
        margin-top: 1em;
    }
}

@media only screen and (max-width:600px) {
    .about-team-image-2 img {
        height: 285px;
        margin-top: 1em;
    }
}

@media only screen and (max-width:500px) {
    .about-team-image-2 img {
        height: 250px;
        margin-top: 1em;
    }
}

@media only screen and (max-width:400px) {
    .about-team-image-2 img {
        height: 210px;
        margin-top: 1em;
    }
}

.about-team-heading {
    font-weight: 600;
    font-size: 34px !important;
    font-family: 'Myriad Pro', sans-serif;
    margin-top: initial !important;
    margin-bottom: 25px !important;
    text-align: left;
}

.about-team-col-2 p {
    font-size: 16px;
    text-align: left;
    line-height: 22px;
    margin-top: 1em !important;
    margin-bottom: 3em !important;
}

/* Ikonka telefonu */
.about-team-btn:before {
    display: block;
    content: "";
    width: 50px;
    height: 50px;
    padding: 15px;
    /* border: 2px solid #a2000a; */
    outline: 2px solid #a2000a;
    background-image: url('https://tkaniny-konekt.pl/wp-content/uploads/2023/10/ico-tel-black-crop.png');
    background-size: contain;
    background-color: #fff;
    position: absolute;
    left: -42px;
    top: -43px;
}

.about-team-btn {
    position: relative;
    border: 2px solid #a2000a;
    text-align: center;
    display: block !important;
    padding: 1.5em;
    width: 85%;
    margin: auto;
    margin-top: 110px;
}

@media only screen and (max-width:1024px) {
    .about-team-btn {
        margin-top: 85px;
    }
}


@media only screen and (max-width:400px) {
    .about-team-btn {
        margin-top: 60px;
    }
}

.about-team-btn-heading {
    font-size: 30px;
}

p.about-team-btn-subheading {
    text-align: center !important;
    margin-top: 0.1em !important;
    margin-bottom: 1em !important;
}

.about-team-btn p:last-child {
    font-weight: 900;
    text-align: center;
    font-size: 20px;
    margin-bottom: initial !important
}

@media only screen and (max-width:1000px) {
    .about-team-btn:before {
        width: 30px;
        height: 30px;
        left: -30px;
        top: -30px;
    }
}

@media only screen and (max-width:400px) {
    .about-team-btn:before {
        width: 20px;
        height: 20px;
        left: -20px;
        top: -20px;
    }
}

/* Wtyczka GDPR Cookie */

.moove-gdpr-company-logo-holder img {
    width: 50% !important;
    height: auto !important;
}